public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jonas Frei" <freijon@pm.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-shells/carapace/
Date: Sun, 30 Jun 2024 15:57:19 +0000 (UTC)	[thread overview]
Message-ID: <1719762941.c780b031a50eaf83228be45364a373b4444b1436.freijon@gentoo> (raw)

commit:     c780b031a50eaf83228be45364a373b4444b1436
Author:     Jonas Frei <freijon <AT> pm <DOT> me>
AuthorDate: Sun Jun 30 15:48:25 2024 +0000
Commit:     Jonas Frei <freijon <AT> pm <DOT> me>
CommitDate: Sun Jun 30 15:55:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c780b031

app-shells/carapace: add 1.0.4

Signed-off-by: Jonas Frei <freijon <AT> pm.me>

 app-shells/carapace/Manifest              |  2 ++
 app-shells/carapace/carapace-1.0.4.ebuild | 40 +++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-shells/carapace/Manifest b/app-shells/carapace/Manifest
index f4e01d6fc..c4bd6d226 100644
--- a/app-shells/carapace/Manifest
+++ b/app-shells/carapace/Manifest
@@ -4,3 +4,5 @@ DIST carapace-1.0.2-deps.tar.xz 3057732 BLAKE2B e657e06d1cf7d2f72210c2d61c5b5180
 DIST carapace-1.0.2.tar.gz 14617140 BLAKE2B 0837165d4930d6e9fdd47ece9c51a8c7470bf6abd4f873c023658ed8c39e307a7b2a66f0d79d47f9767b29207e09ee9fb12e82d136e5e4b04709fd0202d76150 SHA512 f32bea9b15d0517dab0a0e5176fdab4e23dc3c11209a9647578adf3f2a12628d69424505e1833bbab497d8f8348c393e0dcf5250434cf860ae2e6bb0e04e2bc5
 DIST carapace-1.0.3-deps.tar.xz 3060444 BLAKE2B 560a0ee95810cca800ab4ebcf22c90e7971c7748ff50da79ae5c58b9775c4ed159ea67b2ecdb232bd7e919b0831641510cae30fdff6e91592b983a3581bc7e18 SHA512 996364d0746c678bb75e950656e0d969ff78235e148afb415472b3153169f2d5d4c74e361490e69f84b50564246cf18b7ef2238c09de7445694d427accdaa4c9
 DIST carapace-1.0.3.tar.gz 14613295 BLAKE2B 71cd6675a30673dba859f3647ee18299def074c4e8d1dd29ffa0c0264d128c55a04f3177f67928742b5a86984aee3782432e041376e6a702c6715e4fd67bb9aa SHA512 8b1781bff0d2f1e9a7b9b433153eced755231479c7eabf383af07687b4c588f8488dc43d4f6707ba345548737318b442ac0e4614068017106540ef50ef4b1527
+DIST carapace-1.0.4-deps.tar.xz 3065556 BLAKE2B e5eaff8be53fd55e1a862806204efdd8ba6ef08ffb2b6f1d3dcfdccb1e3360b9a44d2c2a644246c11792206b079af1ea77ff3868e41567653f093545962a0286 SHA512 89dcccee7b98a9585e7a13b4da11d41fbda9f67bc82737a28a3809b9b79812cf6d22db77d76ccb3b2c73c6255b062ef02dc54a4f76188bac3da6503d054d34fd
+DIST carapace-1.0.4.tar.gz 14721282 BLAKE2B 078a1acd6071729421e3107c5045ee5af14b45c0a27f5e7c9db8a81ee4116c07c086e7f15a5ca029743b5d2ca4091ea0cdfbf8a99e8727268637ab5025df5955 SHA512 cafc801adbb598cae105aeb3befb64870d93ced4b2c0d4e2b891e593615e050c5bf4fcfa57940322ed4024d62469c23de515cfca56e260827c689319b43ca706

diff --git a/app-shells/carapace/carapace-1.0.4.ebuild b/app-shells/carapace/carapace-1.0.4.ebuild
new file mode 100644
index 000000000..e8d2de253
--- /dev/null
+++ b/app-shells/carapace/carapace-1.0.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Multi-shell multi-command argument completer"
+HOMEPAGE="https://carapace.sh/"
+SRC_URI="https://github.com/${PN}-sh/${PN}-bin/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+# Using a dependency tarball as per https://devmanual.gentoo.org/eclass-reference/go-module.eclass/index.html
+DEPS_URI="https://gitlab.com/freijon_gentoo/${CATEGORY}/${PN}/-/raw/main/${P}-deps.tar.xz"
+SRC_URI+=" ${DEPS_URI}"
+
+S="${WORKDIR}/${PN}-bin-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS=(
+	"README.md"
+)
+HTML_DOCS=(
+	"docs/book/"
+)
+
+src_compile() {
+	pushd "cmd/${PN}"
+	ego generate ./...
+	ego build -ldflags="-s -w" -tags release
+}
+
+src_install() {
+	dobin "cmd/${PN}/${PN}"
+	mv "docs/src" "docs/book" || die
+	rm -r "docs/book/release_notes" || die
+	einstalldocs
+}


             reply	other threads:[~2024-06-30 15:57 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-30 15:57 Jonas Frei [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06  4:21 [gentoo-commits] repo/proj/guru:dev commit in: app-shells/carapace/ Jonas Frei
2024-10-06  4:21 Jonas Frei
2024-10-06  4:21 Jonas Frei
2024-09-23 11:23 Jonas Frei
2024-09-23 11:23 Jonas Frei
2024-08-10  5:19 Jonas Frei
2024-08-10  5:19 Jonas Frei
2024-06-30 15:57 Jonas Frei
2024-06-15  7:15 Jonas Frei
2024-06-15  7:15 Jonas Frei
2024-05-12 17:56 Jonas Frei
2024-05-12 17:56 Jonas Frei
2024-04-15 18:18 Jonas Frei
2024-04-15 18:18 Jonas Frei
2024-04-15 18:18 Jonas Frei
2024-03-24 19:16 Jonas Frei
2024-03-24  7:47 Jonas Frei
2024-02-23  6:13 Jonas Frei
2024-02-23  6:13 Jonas Frei
2024-02-14 19:17 Jonas Frei
2024-02-14 19:17 Jonas Frei
2024-01-29 19:31 Jonas Frei
2024-01-29 19:31 Jonas Frei
2024-01-04 10:49 Jonas Frei
2024-01-04 10:49 Jonas Frei
2023-12-05  4:56 Jonas Frei
2023-12-05  4:56 Jonas Frei
2023-11-28  4:48 Jonas Frei
2023-11-16 20:17 Jonas Frei

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1719762941.c780b031a50eaf83228be45364a373b4444b1436.freijon@gentoo \
    --to=freijon@pm.me \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox